KCPUInfo Class Reference

`#include <kcpuinfo.h>`

## Public Types

enum | Extensions { IntelMMX = 1 << 0, IntelSSE = 1 << 1, IntelSSE2 = 1 << 2, AMD3DNOW = 1 << 3, AltiVec = 1 << 4 }

## Static Public Member Functions

static bool | haveExtension (unsigned int extension)

## Detailed Description

This class provides a means for applications to obtain information at runtime about processor support for certain architecture extensions, such as MMX, SSE, 3DNow and AltiVec.

Since
  3.2

Definition at line 39 of file kcpuinfo.h.

## Member Enumeration Documentation

enum KCPUInfo::Extensions

This enum contains the list of architecture extensions you can query.

Enumerator
IntelMMX | Intel's MMX instructions.
IntelSSE | Intel's SSE instructions.
IntelSSE2 | Intel's SSE2 instructions.
AMD3DNOW | AMD 3DNOW instructions.
AltiVec | Motorola AltiVec instructions.

Definition at line 46 of file kcpuinfo.h.

## Member Function Documentation

static bool KCPUInfo::haveExtension | ( | unsigned int | extension | ) |

inline static

Returns true if the processor supports `extension`, and false otherwise.

Parameters

  extension | the feature to query.

Returns
  If true, the processor supports `extension`.

See also
  Extensions

Definition at line 62 of file kcpuinfo.h.

The documentation for this class was generated from the following files:

- kcpuinfo.h
- kcpuinfo.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys